<template>
  <article class="view view--content-pages">
    <PageList :id="id" :offset="offset" :limit="limit" />
  </article>
</template>

<script>
import { computed } from 'vue'
import { useRoute } from 'vue-router'
import { Constants, ValidationHelper } from '../../../core'
import PageList from './page-list.vue'

export default {
  name: 'ContentPagesView',
  components: {
    PageList,
  },
  setup() {
    const route = useRoute()

    const id = computed(() => {
      return ValidationHelper.getInteger(route.query.id, 1)
    })

    const offset = computed(() => {
      return ValidationHelper.getInteger(route.query.offset, 0)
    })

    const limit = computed(() => {
      return ValidationHelper.getInteger(route.query.limit, Constants.pagination.defaultPageLimit)
    })

    return {
      id,
      offset,
      limit,
    }
  },
}
</script>
